Skip to main content
`Ctrl`+`K`

# DMKSPGetComputeOperators

get `KSP` matrix evaluation function

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPGetComputeOperators(DM dm, KSPComputeOperatorsFn **func, void *ctx)

Not Collective

## Input Parameter

- dm - `DM` used with a `KSP`

## Output Parameters

- func - matrix evaluation function, for calling sequence see `KSPComputeOperatorsFn`

- ctx - context for matrix evaluation

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMKSPSetContext()`, `KSPSetComputeOperators()`, `DMKSPSetComputeOperators()`, `KSPComputeOperatorsFn`

## Level

developer

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages